#include "rapidjson/document.h"
#include "rapidjson/filereadstream.h"
#include <cstdio>
#include <string>

#define INPUTS_FILE "inputs.json"

using namespace rapidjson;

class Inputs {
    Document d;
    std::string node_name;
public:
    Inputs(std::string node_name);
    static void GeneratePlatform(std::string p);

    double wake_duration;
    double wake_interval;
    double startup_delay;
    bool is_sender;
    int max_attempts;
};